#include "hip/hip_runtime.h"

__global__
void addArrays(int* result, const int* array1, const int* array2, size_t size) {
    int tid = hipBlockIdx_x * hipBlockDim_x + hipThreadIdx_x;
    if (tid < size) {
        result[tid] = array1[tid] + array2[tid];
    }
}
